Package org.eclipse.emf.cdo.common.revision

## Interface CDOList

- All Superinterfaces:
    `java.util.Collection<java.lang.Object>`, `EList<java.lang.Object>`, `java.lang.Iterable<java.lang.Object>`, `java.util.List<java.lang.Object>`, `org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>`
  All Known Subinterfaces:
    `InternalCDOList`, `InternalCDOList.ConfigurableEquality`

      public interface CDOList
      extends org.eclipse.net4j.util.collection.MoveableList<java.lang.Object>, EList<java.lang.Object>

  A `moveable` `EList`.
  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(int index, boolean resolve)` | Returns the element at position index of this list and optionally resolves proxies (see CDOElementProxy).

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface org.eclipse.emf.common.util.EList

      `move, move`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

    - ### Methods inherited from interface org.eclipse.net4j.util.collection.MoveableList

      `move`

- - ### Method Detail

    - #### get

          java.lang.Object get​(int index,
                               boolean resolve)

      Returns the element at position index of this list and optionally resolves proxies (see CDOElementProxy).

      Parameters:
        `index` - The position of the element to return from this list.
        `resolve` - A value of `false` indicates that `CDORevisionUtil.UNINITIALIZED` may be returned for unresolved elements. A value of `true` indicates that it should behave identical to `List.get(int)`.